# ppmtopgm

Updated: 10 April 2000
Table Of Contents

## NAME

ppmtopgm - convert a PPM image to a PGM image

## SYNOPSIS

ppmtopgm [ppmfile]

## DESCRIPTION

This program is part of Netpbm.

ppmtopgm reads a PPM as input and produces a PGM as output. The output is a "black and white" rendering of the original image, as in a black and white photograph. The quantization formula ppmtopgm uses is g = .299 r + .587 g + .114 b.

Note that although there is a pgmtoppm program, it is not necessary for simple conversions from pgm to ppm , because any ppm program can read pgm (and pbm ) files automatically. pgmtoppm is for colorizing a pgm file. Also, see ppmtorgb3 for a different way of converting color to gray. And ppmdist generates a grayscale image from a color image, but in a way that makes it easy to differentiate the original colors, not necessarily a way that looks like a black and white photograph.

## QUOTE

    Cold-hearted orb that rules the night
    Removes the colors from our sight
    Red is gray, and yellow white
    But we decide which is right
    And which is a quantization error.

## SEE ALSO

pgmtoppm, ppmtorgb3, rgb3toppm, ppmdist, ppm, pgm

## AUTHOR

Copyright (C) 1989 by Jef Poskanzer.

## Table Of Contents

- NAME
- SYNOPSIS
- DESCRIPTION
- QUOTE
- SEE ALSO
- AUTHOR